from django_cron import CronJobBase, Schedule
from ldap import INVALID_SYNTAX

from .models import TeckidsGroup, TeckidsPerson

class CleanGroups(CronJobBase):
    RUN_EVERY_MINS = 5

    schedule = Schedule(run_every_mins=RUN_EVERY_MINS)
    code = 'ticdesk_account.clean_groups'

    def do(self):
        groups = TeckidsGroup.objects.all()

        for group in groups:
            group.clean()

            try:
                group.save()
            except INVALID_SYNTAX:
                # Uncritical because we probably hit a no-op
                pass

class CleanPersons(CronJobBase):
    RUN_EVERY_MINS = 5

    schedule = Schedule(run_every_mins=RUN_EVERY_MINS)
    code = 'ticdesk_account.clean_persons'

    def do(self):
        persons = TeckidsPerson.objects.all()

        for person in persons:
            person.clean()

            try:
                person.save()
            except INVALID_SYNTAX:
                # Uncritical because we probably hit a no-op
                pass
