from datetime import date

from django.shortcuts import render

from ticdesk_events.models import TeckidsProject

from .models import TeckidsEventPublication

def events(request):
    context = {}

    # Get all upcoming events
    now = date.today().strftime('%Y-%m-%d')
    events = TeckidsProject.objects.filter(date_event__gte=now)
    context['events'] = events

    return render(request, 'ticdesk_cmsstuff/events.html', context)

def event(request, cn):
    context = {}

    # Get the event
    event = TeckidsProject.objects.get(cn=cn)
    context['event'] = event
    
    # Get the CMS publication instance
    publication = TeckidsEventPublication.objects.get_or_create(cn=cn)[0]
    context['publication'] = publication

    return render(request, 'ticdesk_cmsstuff/event.html', context)
